//MineCnt - Count of the unmarked mines in a game of Mine Sweeper.
import javax.swing.*;
import java.awt.*;
import java.util.*;

public class MineCnt extends LEDdisp {
   private int mineCount;

   MineCnt(MyMines myMines) {
      super(myMines);
      initialize();
   }

   void decrement() { write(--mineCount); }

   void increment() { write(++mineCount); }

   void initialize() {
      mineCount = Game.mines;
      write(mineCount);
   }

   int read() { return mineCount; }

}//End UnmarkedMines.

